Add a feature version to an islamic financing product
POST/islamic-financing/products/{productExternalId}/features/{featureCode}
Validates the feature configuration before it is stored. These values are not supported in the current version and are rejected with 422: in schedule-config, balloonRepayment ENABLED; in profit-config, amortisationMethod DECLINING_BALANCE (use FLAT), and a calculationMethod that is not accepted for the amortisationMethod (with FLAT, use FLAT_PROFIT_RATE, FLAT_DISTRIBUTED_PROFIT_RATE or FIXED_AMOUNT); in repayment-config, allocationMethod VERTICAL (use HORIZONTAL). In schedule-config, gracePeriod and displayedItems are accepted and stored, but have no effect in the current version.
Request
Responses
- 201
- 400
- 401
- 403
- 422
The feature version was added.
The request body is malformed or cannot be parsed.
Unauthorized
Forbidden
The feature configuration is invalid or uses a value that is not supported in the current version.